Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.event
Class DefaultSignalManager

    java.lang.Object
      org.jbpm.process.instance.event.DefaultSignalManager

All Implemented Interfaces:
  SignalManager

Direct Known Subclasses:
  JPASignalManager

    public class DefaultSignalManager

extends Object
implements SignalManager

Nested Class Summary
`static class` | `DefaultSignalManager.SignalAction`
`static class` | `DefaultSignalManager.SignalProcessInstanceAction`

Constructor Summary
`DefaultSignalManager(org.drools.core.common.InternalKnowledgeRuntime kruntime)`

Method Summary
`void` | `addEventListener(String type, EventListener eventListener)`
`org.drools.core.common.InternalKnowledgeRuntime` | `getKnowledgeRuntime()`
`void` | `internalSignalEvent(String type, Object event)`
`void` | `removeEventListener(String type, EventListener eventListener)`
`void` | `signalEvent(long processInstanceId, String type, Object event)`
`void` | `signalEvent(String type, Object event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSignalManager

    public DefaultSignalManager(org.drools.core.common.InternalKnowledgeRuntime kruntime)

Method Detail

### getKnowledgeRuntime

    public org.drools.core.common.InternalKnowledgeRuntime getKnowledgeRuntime()

### addEventListener

    public void addEventListener(String type,
                                 EventListener eventListener)

  Specified by:
    `addEventListener` in interface `SignalManager`

### removeEventListener

    public void removeEventListener(String type,
                                    EventListener eventListener)

  Specified by:
    `removeEventListener` in interface `SignalManager`

### signalEvent

    public void signalEvent(String type,
                            Object event)

  Specified by:
    `signalEvent` in interface `SignalManager`

### internalSignalEvent

    public void internalSignalEvent(String type,
                                    Object event)

### signalEvent

    public void signalEvent(long processInstanceId,
                            String type,
                            Object event)

  Specified by:
    `signalEvent` in interface `SignalManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.